<?php

    namespace Database\Factories;

    use App\Models\Address;
    use App\Models\Industry;
    use App\Models\User;
    use App\Models\WorkSheet;
    use Illuminate\Database\Eloquent\Factories\Factory;

    /**
     * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Client>
     */
    class ClientFactory extends Factory
    {
        /**
         * Define the model's default state.
         *
         * @return array<string, mixed>
         */
        public function definition()
        {

            return [
                'company_name' => $this->faker->company,
                'telephone' => $this->faker->phoneNumber,
                'fax' => $this->faker->phoneNumber,
                'email' => $this->faker->email,
                'website' => $this->faker->url,
                'status' => $this->faker->randomElement([
                    'Competitor',
                    'Contractor',
                    'Customer',
                    'Key Customer',
                    'Lead',
                    'Prospect',
                    'Recruitment',
                    'Supplier',
                ]),
                'subtype' => $this->faker->randomElement([
                    'Renal Main Unit',
                    'Renal Satellite',
                ]),
                'client_manager_id' => function() {
                    return User::factory()->create()->id;
                },
                'worksheet_id' => function() {
                    return WorkSheet::factory(['structure_file' => 'sayvol-siteVisitReport.json'])->create()->id;
                },
            ];
        }
    }
