<?php

namespace Database\Factories;

use App\Models\Client;
use App\Models\Opportunity;
use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Model>
 */
class CustomerPurchaseOrderFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition()
    {
        return [
            "name" => $this->faker->company,
            'client_id' => function() {
                return Client::factory()->create()->id;
            },
            'site_id' => null,
            'opportunity_id' => function() {
                return Opportunity::factory()->create()->id;
            },
            'type' => $this->faker->randomElement([
                'Supply Only',
                'Service Visit',
                'Call out',
                'Repair and Remedial',
                'Installation',
            ]),
            'job_date' => $this->faker->date('Y-m-d'),
            'date_requested' => $this->faker->date('Y-m-d'),
            'description' => $this->faker->paragraph,
            'net_amount' => $this->faker->randomFloat(2, 100, 100000),
            'status' => $this->faker->randomElement([
                'Open',
                'In progress',
                'Completed',
            ]),
        ];
    }
}
