<?php

    namespace Database\Factories;

    use App\Models\Client;
    use Illuminate\Database\Eloquent\Factories\Factory;

    /**
     * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Opportunity>
     */
    class OpportunityFactory extends Factory
    {
        /**
         * Define the model's default state.
         *
         * @return array<string, mixed>
         */
        public function definition()
        {

            return [
                'name' => $this->faker->company,
                'is_based_on_contract' => $this->faker->randomElement([0,1]),
                'contact_id' => null,
                'open_date' => $this->faker->date('Y-m-d'),
                'estimated_close_date' => $this->faker->date('Y-m-d'),
                'total' => $this->faker->randomFloat(2, 100, 100000),
                'status' => $this->faker->randomElement([
                    'Open',
                    'Closed',
                    'Won',
                    'Lost',
                    'Inactive',
                ]),
                'reason' => $this->faker->sentence,
                'process' => $this->faker->randomElement([
                    'Call Out',
                    'Sales',
                    'Service',
                ]),
                'stage' => $this->faker->randomElement([
                    'Due',
                    'Initial Communication',
                    'Needs Assessment',
                    'Presentation',
                    'Negotiation',
                    'Commitment to Buy',
                    'Sales Fulfillment',
                    'Attended',
                    'Quoted',
                    'PO received',
                ]),
            ];
        }
    }
