<?php

    namespace Database\Factories;

    use App\Models\Client;
    use App\Models\CustomerPurchaseOrder;
    use App\Models\Opportunity;
    use App\Models\User;
    use Illuminate\Database\Eloquent\Factories\Factory;

    /**
     * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\ServiceVisit>
     */
    class ServiceVisitFactory extends Factory
    {
        /**
         * Define the model's default state.
         *
         * @return array<string, mixed>
         */
        public function definition()
        {
            return [
                'name' => $this->faker->sentence,
                'visit_date' => $this->faker->date('Y-m-d'),
                'cost_type' => $this->faker->randomElement([
                    'Quoted',
                    'Time and Materials'
                ]),
                'client_id' => function() {
                    return Client::factory()->create()->id;
                },
                'parts_required' => $this->faker->randomElement([
                    0,
                    1
                ]),
                'site_id' => null,
                'opportunity_id' => function() {
                    return Opportunity::factory()->create()->id;
                },
                'customer_purchase_order_id' => function() {
                    return CustomerPurchaseOrder::factory()->create()->id;
                },
                'status_id' => $this->faker->randomElement([
                    1,2,3,4,5,6,7
                ]),
                'operative_ids' => function() {
                    return User::factory()->create()->id;
                }
            ];
        }
    }
