<?php

namespace Database\Factories;

use App\Models\EmployeeType;
use App\Models\User;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Str;

class UserFactory extends Factory
{
    /**
     * The name of the factory's corresponding model.
     *
     * @var string
     */
    protected $model = User::class;

    /**
     * Define the model's default state.
     *
     * @return array
     */
    public function definition()
    {
        return [
            'first_name' => $this->faker->firstName(),
            'last_name' => $this->faker->lastName(),
            'email' => $this->faker->unique()->safeEmail,
            'dob' => $this->faker->date('Y-m-d'),
            'password' => $this->faker->password(10,15),
            'telephone' => $this->faker->phoneNumber(),
            'mobile' => $this->faker->phoneNumber(),
            'job_title' => $this->faker->jobTitle(),
            'remember_token' => Str::random(10),
            'employee_number' => $this->faker->randomKey(),
            'start_date' => $this->faker->date('Y-m-d'),
            'activated' => 1
        ];
    }
}
