<?php

    use Illuminate\Support\Facades\Schema;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Database\Migrations\Migration;
    use App\Database\AuditableTrait;

    class CreateEmployeeTypesTable extends Migration
    {

        use AuditableTrait;

        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            if (!Schema::hasTable('employee_types')) {
                Schema::create('employee_types', function (Blueprint $table) {
                    $table->increments('id');
                    $table->string('label', 100);
                    $table->string('slug', 100);
                });
            }
        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            \DB::statement("SET FOREIGN_KEY_CHECKS=0");
            Schema::dropIfExists('employee_types');
            \DB::statement("SET FOREIGN_KEY_CHECKS=1");
        }
    }
