<?php

    use Illuminate\Support\Facades\Schema;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Database\Migrations\Migration;
    use App\Database\AuditableTrait;

    class CreatePersonTitlesTable extends Migration
    {

        use AuditableTrait;

        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            if (!Schema::hasTable('person_titles')) {
                Schema::create('person_titles', function (Blueprint $table) {
                    $table->increments('id');
                    $table->string('label', 20);
                    $table->string('slug', 20);
                    $table->string('gender', 10)->nullable();
                });
            }
        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            \DB::statement("SET FOREIGN_KEY_CHECKS=0");
            Schema::dropIfExists('person_titles');
            \DB::statement("SET FOREIGN_KEY_CHECKS=1");
        }
    }
