<?php

    use Illuminate\Database\Migrations\Migration;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Support\Facades\Schema;
    use App\Database\AuditableTrait;

    class CreateUsersTable extends Migration
    {

        use AuditableTrait;

        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            Schema::create('users', function (Blueprint $table) {
                $table->increments('id');
                $table->string('first_name', 100);
                $table->string('last_name', 100);
                $table->string('email')->unique();
                $table->timestamp('email_verified_at')->nullable();
                $table->string('password');
                $table->integer('title_id')->unsigned()->nullable();
                $table->foreign('title_id')->references('id')->on('person_titles');
                $table->integer('employee_type_id')->unsigned()->nullable();
                $table->foreign('employee_type_id')->references('id')->on('employee_types');
                $table->string('job_title', 255)->nullable();
                $table->string('employee_number', 50)->nullable();
                $table->dateTime('start_date')->nullable();
                $table->dateTime('dob')->nullable();
                $table->string('telephone', 100)->nullable();
                $table->string('mobile', 100)->nullable();
                $table->rememberToken();
                //address
                //notes
                $this->auditable($table);
            });
        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            Schema::dropIfExists('users');
        }
    }
