<?php

    use Illuminate\Support\Facades\Schema;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Database\Migrations\Migration;
    use App\Database\AuditableTrait;

    class CreateAddressesTable extends Migration
    {

        use AuditableTrait;

        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            if (!Schema::hasTable('addresses')) {
                Schema::create('addresses', function (Blueprint $table) {
                    $table->increments('id');
                    $table->string("flat_number")->nullable();
                    $table->string("building_name")->nullable();
                    $table->string("address_line_1");
                    $table->string("address_line_2")->nullable();
                    $table->string("town");
                    $table->string("county")->nullable();
                    $table->string("postcode");
                    $table->string("country", 3);
                    $table->string("address_type", 50);
                    $table->morphs('addressable');
                    $this->auditable($table);
                });
            }
        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            \DB::statement("SET FOREIGN_KEY_CHECKS=0");
            Schema::dropIfExists('addresses');
            \DB::statement("SET FOREIGN_KEY_CHECKS=1");
        }
    }
