<?php

    use Illuminate\Support\Facades\Schema;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Database\Migrations\Migration;
    use App\Database\AuditableTrait;

    class CreateClientsTable extends Migration
    {

        use AuditableTrait;

        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {

            if (!Schema::hasTable('clients')) {
                Schema::create('clients', function (Blueprint $table) {
                    $table->increments('id');
                    $table->string('company_name', 255);
                    $table->string('telephone', 255)->nullable();
                    $table->string('fax', 255)->nullable();
                    $table->string('website', 255)->nullable();
                    $table->string('email', 255)->nullable();
                    $table->string('status', 255)->nullable();
                    $table->string('subtype', 255)->nullable();

                    $this->auditable($table);
                });
            }
        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            \DB::statement('SET FOREIGN_KEY_CHECKS=0');
            Schema::dropIfExists('clients');
            \DB::statement('SET FOREIGN_KEY_CHECKS=1');
        }
    }
