<?php

    use Illuminate\Support\Facades\Schema;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Database\Migrations\Migration;
    use App\Database\AuditableTrait;

    class CreateJobStatusesTable extends Migration
    {

        use AuditableTrait;

        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            if (!Schema::hasTable('job_statuses')) {
                Schema::create('job_statuses', function (Blueprint $table) {
                    $table->increments('id');
                    $table->string('label', 100);
                    $table->string('slug', 100);
                    $this->auditable($table);
                });
            }
        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            Schema::dropIfExists('job_statuses');
        }
    }
