<?php

    use Illuminate\Support\Facades\Schema;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Database\Migrations\Migration;
    use App\Database\AuditableTrait;

    class CreateNotesTable extends Migration
    {

        use AuditableTrait;

        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            if (!Schema::hasTable('notes')) {
                Schema::create('notes', function (Blueprint $table) {
                    $table->increments('id');
                    $table->text('content');
                    $table->morphs('notable');
                    $this->auditable($table);
                });
            }
        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            \DB::statement("SET FOREIGN_KEY_CHECKS=0");
            Schema::dropIfExists('notes');
            \DB::statement("SET FOREIGN_KEY_CHECKS=1");
        }
    }
