<?php

    use Illuminate\Support\Facades\Schema;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Database\Migrations\Migration;
    use App\Database\AuditableTrait;

    class AddAuditableColumnsToEmployeeTypesTable extends Migration
    {
        use AuditableTrait;

        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            Schema::table('employee_types', function (Blueprint $table) {
                $this->auditable($table);
            });
        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            Schema::table('employee_types', function (Blueprint $table) {
                $table->dropForeign(['created_by', 'updated_by', 'deleted_by']);
                $table->dropColumn('created_by');
                $table->dropColumn('updated_by');
                $table->dropColumn('deleted_by');
                $table->dropColumn('created_at');
                $table->dropColumn('updated_at');
                $table->dropColumn('deleted_at');
            });
        }
    }
