<?php

    use Illuminate\Support\Facades\Schema;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Database\Migrations\Migration;
    use App\Database\AuditableTrait;

    class CreateDocumentsTable extends Migration
    {
        use AuditableTrait;

        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            Schema::create('documents', function (Blueprint $table) {
                $table->increments('id');
                $table->string('original_name');
                $table->string('full_path');
                $table->nullableMorphs('documentable');
                $this->auditable($table);
            });
        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            Schema::dropIfExists('documents');
        }
    }
