<?php

    use Illuminate\Database\Migrations\Migration;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Support\Facades\Schema;
    use App\Database\AuditableTrait;

    class CreateIndustryTable extends Migration
    {
        use AuditableTrait;

        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            Schema::create('industries', function (Blueprint $table) {
                $table->increments('id');
                $table->string('label', 100);
                $table->string('slug', 100);
                $this->auditable($table);
            });
        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            \DB::statement("SET FOREIGN_KEY_CHECKS=0");
            Schema::dropIfExists('industries');
            \DB::statement("SET FOREIGN_KEY_CHECKS=1");
        }
    }
