<?php

    use Illuminate\Database\Migrations\Migration;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Support\Facades\Schema;

    class AddClientManagerFieldToClientsTable extends Migration
    {
        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            Schema::table('clients', function (Blueprint $table) {
                $table->integer('client_manager_id')->after('subtype')->unsigned()->nullable();
                $table->foreign('client_manager_id')->references('id')->on('users');
            });
        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            Schema::table('clients', function (Blueprint $table) {
                $table->dropColumn('client_manager_id');
            });
        }
    }
