<?php

    use Illuminate\Database\Migrations\Migration;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Support\Facades\Schema;
    use App\Database\AuditableTrait;

    class CreateContactsTable extends Migration
    {
        use AuditableTrait;

        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            Schema::create('contacts', function (Blueprint $table) {
                $table->increments('id');
                $table->integer('title_id')->unsigned()->nullable();
                $table->foreign('title_id')->references('id')->on('person_titles');
                $table->string('first_name', 100)->nullable();
                $table->string('last_name', 100)->nullable();
                $table->string('email')->nullable();
                $table->string('department', 100)->nullable();
                $table->string('salutation', 100)->nullable();
                $table->string('telephone', 100)->nullable();
                $table->string('extension', 100)->nullable();
                $table->string('mobile', 100)->nullable();
                $table->string('ddi', 100)->nullable();
                $table->string('status', 255)->nullable();
                $table->string('referred_by', 255)->nullable();
                $this->auditable($table);
            });
        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            Schema::dropIfExists('contacts');
        }
    }
