<?php

    use Illuminate\Database\Migrations\Migration;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Support\Facades\Schema;
    use App\Database\AuditableTrait;

    class CreateOpportunitiesTable extends Migration
    {
        use AuditableTrait;

        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            Schema::create('opportunities', function (Blueprint $table) {
                $table->increments('id');
                $table->string('name', 255);
                $table->integer('total')->nullable()->unsigned();
                $table->string('weighted', 255)->nullable();
                $table->string('probability', 255)->nullable();
                $table->integer('days_open')->nullable()->unsigned();
                $table->dateTime('estimated_close_date')->nullable();
                $table->string('status', 255)->nullable();
                $table->string('reason', 255)->nullable();
                $table->string('process', 255)->nullable();
                $table->string('stage', 255)->nullable();
                $table->nullableMorphs('opportunable');
                $this->auditable($table);
            });
        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            Schema::dropIfExists('opportunities');
        }
    }
