<?php

    use Illuminate\Database\Migrations\Migration;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Support\Facades\Schema;
    use App\Database\AuditableTrait;

    class CreateQuotesTable extends Migration
    {
        use AuditableTrait;

        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            Schema::create('quotes', function (Blueprint $table) {
                $table->increments('id');
                $table->integer('opportunity_id')->unsigned()->nullable();
                $table->foreign('opportunity_id')->references('id')->on('opportunities');
                $table->string('name')->nullable();
                $table->text('meta_data')->nullable();
                $this->auditable($table);
            });
        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            Schema::dropIfExists('quotes');
        }
    }
