<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddQuotableFieldsToQuotesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('quotes', function (Blueprint $table) {
            $table->dropForeign(['opportunity_id']);
            $table->dropColumn('opportunity_id');
            $table->integer('contact_id')->after('name')->unsigned()->nullable();
            $table->foreign('contact_id')->references('id')->on('contacts');
            $table->nullableMorphs('quotable');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('quotes', function (Blueprint $table) {
            $table->integer('opportunity_id')->unsigned()->nullable();
            $table->foreign('opportunity_id')->references('id')->on('contracts');
            $table->dropMorphs('quotable');
        });
    }
}
