<?php

    use Illuminate\Database\Migrations\Migration;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Support\Facades\Schema;
    use App\Database\AuditableTrait;

    class CreateMigrationLogsTable extends Migration
    {
        use AuditableTrait;

        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            Schema::create('migration_logs', function (Blueprint $table) {

                $table->increments('id');
                $table->string('act_content_type');
                $table->string('act_id');
                $table->string('cwt_table');
                $table->string('cwt_object_type');
                $table->integer('cwt_id')->unsigned();
                $table->text('note')->nullable();
                $this->auditable($table);
            });
        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            Schema::dropIfExists('migration_logs');
        }
    }
