<?php

    use Illuminate\Database\Migrations\Migration;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Support\Facades\Schema;
    use App\Database\AuditableTrait;

    class CreateServiceCostingsTable extends Migration
    {
        use AuditableTrait;
        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            Schema::create('service_costings', function (Blueprint $table) {
                $table->id();
                $table->string('name');
                $table->string('part_number')->nullable();
                $table->decimal('unit_cost', 15, 2)->nullable();
                $table->decimal('unit_sell_price', 15, 2)->nullable();
                $this->auditable($table);
            });
        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            Schema::dropIfExists('service_costings');
        }
    }
