<?php

    use Illuminate\Database\Migrations\Migration;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Support\Facades\Schema;

    class AddAuthorAndInternalRefFieldsToQuotesTable extends Migration
    {
        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            Schema::table('quotes', function (Blueprint $table) {
                $table->integer('author_id')->after('id')->unsigned();
                $table->foreign('author_id')->references('id')->on('users');
                $table->string('internal_ref', 100)->after('name')->nullable();
            });
        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            Schema::table('quotes', function (Blueprint $table) {
                $table->dropColumn('author_id');
                $table->dropColumn('internal_ref');
            });
        }
    }
