<?php

    use Illuminate\Database\Migrations\Migration;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Support\Facades\Schema;
    use App\Database\AuditableTrait;

    class CreateContractsTable extends Migration
    {
        use AuditableTrait;

        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            Schema::create('contracts', function (Blueprint $table) {
                $table->increments('id');
                $table->string('name')->nullable();
                $table->string('type')->nullable()->index();
                $table->integer('client_id')->unsigned()->nullable()->index();
                $table->integer('site_id')->unsigned()->nullable()->index();
                $table->integer('contact_id')->unsigned()->nullable()->index();
                $table->integer('opportunity_id')->unsigned()->nullable()->index();
                $table->text('details')->nullable();
                $table->string('order_number')->nullable();
                $table->decimal('price_per_visit', 15, 2)->unsigned()->nullable();
                $table->decimal('price_per_annum', 15, 2)->unsigned()->nullable();
                $table->date('expiry_date')->nullable()->index();
                $table->string('review_month')->nullable()->index();
                $table->string('current_status')->nullable();
                $table->string('renewal_reference')->nullable();
                $table->string('filled')->nullable();
                $this->auditable($table);
            });
        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            Schema::dropIfExists('contracts');
        }
    }
