<?php

    use Illuminate\Database\Migrations\Migration;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Support\Facades\Schema;
    use App\Database\AuditableTrait;

    class CreateContractVisitsTable extends Migration
    {
        use AuditableTrait;

        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            Schema::create('contract_visits', function (Blueprint $table) {
                $table->increments('id');
                $table->integer('contract_id')->unsigned()->nullable()->index();
                $table->string('visit_month')->nullable()->index();
                $this->auditable($table);
            });
        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            Schema::dropIfExists('contract_visits');
        }
    }
