<?php

    use Illuminate\Database\Migrations\Migration;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Support\Facades\Schema;
    use App\Database\AuditableTrait;

    class CreateSupplyOnlyOrdersTable extends Migration
    {
        use AuditableTrait;

        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            Schema::create('supply_only_orders', function (Blueprint $table) {
                $table->increments('id');
                $table->string('name')->nullable();
                $table->date('job_date')->nullable()->index();
                $table->text('description')->nullable();
                $table->string('order_number')->nullable();
                $table->decimal('net_amount', 15, 2)->nullable();
                $table->integer('client_id')->unsigned()->nullable()->index();
                $table->integer('site_id')->unsigned()->nullable()->index();
                $table->integer('opportunity_id')->unsigned()->nullable()->index();
                $this->auditable($table);
            });
        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            Schema::dropIfExists('supply_only_orders');
        }
    }
