<?php

    use Illuminate\Database\Migrations\Migration;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Support\Facades\Schema;

    class AddLockedMarkupAndLockDateFieldToQuotesTable extends Migration
    {
        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            Schema::table('quotes', function (Blueprint $table) {
                $table->longText('locked_markup')->after('meta_data')->nullable();
                $table->dateTime('locked_time')->after('meta_data')->nullable();
            });
        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            Schema::table('quotes', function (Blueprint $table) {
                $table->dropColumn(['locked_markup', 'locked_time']);
            });
        }
    }
