<?php

    use Illuminate\Database\Migrations\Migration;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Support\Facades\Schema;

    class AddDefaultWorksheetIdFields extends Migration
    {
        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            Schema::table('clients', function (Blueprint $table) {
                $table->integer('worksheet_id')->unsigned()->nullable();
            });

            Schema::table('sites', function (Blueprint $table) {
                $table->integer('worksheet_id')->unsigned()->nullable();
            });

            Schema::table('contracts', function (Blueprint $table) {
                $table->integer('worksheet_id')->unsigned()->nullable();
            });
        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            Schema::table('clients', function (Blueprint $table) {
                $table->dropColumn('worksheet_id');
            });

            Schema::table('sites', function (Blueprint $table) {
                $table->dropColumn('worksheet_id');
            });

            Schema::table('contracts', function (Blueprint $table) {
                $table->dropColumn('worksheet_id');
            });
        }
    }
