<?php

    use Illuminate\Database\Migrations\Migration;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Support\Facades\Schema;
    use App\Database\AuditableTrait;

    class CreateOrdersTable extends Migration
    {
        use AuditableTrait;

        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            Schema::create('orders', function (Blueprint $table) {
                $table->increments('id');
                $table->string('order_number');
                $table->date('order_date')->nullable()->index();
                $table->integer('client_id')->unsigned()->nullable()->index();
                $table->integer('site_id')->unsigned()->nullable()->index();
                $table->integer('supplier_id')->nullable()->index();
                $table->string('order_by')->nullable();
                $table->string('status')->nullable();
                $table->date('estimated_delivery_date')->nullable()->index();
                $table->text('details')->nullable();
                $table->integer('delivery_id')->unsigned()->nullable()->index();
                $table->date('date_received')->nullable()->index();
                $table->string('written_order')->nullable();
                $table->string('credit_note_received')->nullable();
                $this->auditable($table);
            });
        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            Schema::dropIfExists('orders');
        }
    }
