<?php

    use Illuminate\Database\Migrations\Migration;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Support\Facades\Schema;
    use App\Database\AuditableTrait;

    class CreateDeliveriesTable extends Migration
    {
        use AuditableTrait;

        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            Schema::create('deliveries', function (Blueprint $table) {
                $table->increments('id');
                $table->string('delivery_number');
                $table->integer('client_id')->unsigned()->nullable()->index();
                $table->integer('site_id')->unsigned()->nullable()->index();
                $table->date('delivery_date')->nullable()->index();
                $table->text('description')->nullable();
                $table->integer('invoice_id')->unsigned()->nullable()->index();
                $this->auditable($table);
            });
        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            Schema::dropIfExists('deliveries');
        }
    }
