<?php

    use Illuminate\Database\Migrations\Migration;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Support\Facades\Schema;
    use App\Database\AuditableTrait;

    class CreateReturnsTable extends Migration
    {
        use AuditableTrait;

        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            Schema::create('returns', function (Blueprint $table) {
                $table->increments('id');
                $table->string('cwt_return_number');
                $table->date('return_date')->nullable()->index();
                $table->integer('client_id')->unsigned()->nullable()->index();
                $table->integer('site_id')->unsigned()->nullable()->index();
                $table->string('status')->nullable();
                $table->string('reason_for_return')->nullable();
                $table->string('credit_note_received')->nullable();
                $table->date('credit_note_received_date')->nullable()->index();
                $table->text('description')->nullable();
                $this->auditable($table);
            });
        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            Schema::dropIfExists('returns');
        }
    }
