<?php

    use Illuminate\Database\Migrations\Migration;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Support\Facades\Schema;
    use App\Database\AuditableTrait;

    class CreateCallOutsTable extends Migration
    {

        use AuditableTrait;

        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            Schema::create('call_outs', function (Blueprint $table) {
                $table->increments('id');
                $table->string('name');
                $table->integer('client_id')->unsigned()->nullable()->index();
                $table->integer('site_id')->unsigned()->nullable()->index();
                $table->integer('contract_id')->unsigned()->nullable()->index();
                $table->date('visit_date')->nullable()->index();
                $table->integer('status_id')->unsigned();
                $table->integer('worker_id')->unsigned()->nullable();
                $table->integer('invoice_id')->unsigned()->nullable();
                $table->integer('order_id')->unsigned()->nullable();
                $table->integer('worksheet_id')->unsigned()->nullable();
                $table->text('worksheet_meta_data')->nullable();

                $this->auditable($table);
            });
        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            Schema::dropIfExists('call_outs');
        }
    }
