<?php

    use Illuminate\Database\Migrations\Migration;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Support\Facades\Schema;
    use App\Database\AuditableTrait;

    class CreateSubmittedWorksheetsTable extends Migration
    {
        use AuditableTrait;
        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            Schema::create('submitted_worksheets', function (Blueprint $table) {
                $table->increments('id');
                $table->integer('user_id')->unsigned()->nullable();
                $table->integer('worksheetable_id')->unsigned()->nullable();
                $table->string('worksheetable_type', 255)->nullable();
                $table->integer('worksheet_id')->unsigned()->nullable();
                $table->longText('worksheet_structure')->nullable();
                $table->longText('data')->nullable();
                $this->auditable($table);
            });
        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            Schema::dropIfExists('submitted_worksheets');
        }
    }
