<?php

    use Illuminate\Database\Migrations\Migration;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Support\Facades\Schema;

    class AddAprovalFieldsToJobsTable extends Migration
    {
        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            Schema::table('call_outs', function (Blueprint $table) {
                $table->integer('approval_required')->unsigned()->nullable();
                $table->integer('approved')->unsigned()->nullable();
                $table->integer('approver_id')->unsigned()->nullable();
            });

            Schema::table('service_visits', function (Blueprint $table) {
                $table->integer('approval_required')->unsigned()->nullable();
                $table->integer('approved')->unsigned()->nullable();
                $table->integer('approver_id')->unsigned()->nullable();
            });
        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            Schema::table('call_outs', function (Blueprint $table) {
                $table->dropColumn(['approval_required', 'approved', 'approver_id']);
            });

            Schema::table('service_visits', function (Blueprint $table) {
                $table->dropColumn(['approval_required', 'approved', 'approver_id']);
            });
        }
    }
