<?php

    use Illuminate\Database\Migrations\Migration;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Support\Facades\Schema;
    use App\Database\AuditableTrait;

    class CreateInvoicesTable extends Migration
    {
        use AuditableTrait;

        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            if(!Schema::hasTable('invoices')) {
                Schema::create('invoices', function (Blueprint $table) {
                    $table->increments('id');
                    $table->string('invoice_number')->nullable();
                    $table->date('invoice_date')->nullable();
                    $table->date('payment_due_date')->nullable();
                    $table->decimal('invoice_net_amount', 15, 2)->nullable();
                    $table->decimal('invoice_tax_amount', 15, 2)->nullable();
                    $table->string('tax_code')->nullable();
                    $table->decimal('tax_rate', 15, 2)->nullable();
                    $this->auditable($table);
                });
            }

        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            Schema::dropIfExists('invoices');
        }
    }
