<?php

    use Illuminate\Database\Migrations\Migration;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Support\Facades\Schema;

    class AddLockFieldsToJobsTable extends Migration
    {
        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            Schema::table('service_visits', function (Blueprint $table) {
                $table->integer('locked')->unsigned()->nullable();
                $table->dateTime('locked_at')->nullable();
                $table->integer('locked_by')->unsigned()->nullable();
            });

            Schema::table('call_outs', function (Blueprint $table) {
                $table->integer('locked')->unsigned()->nullable();
                $table->dateTime('locked_at')->nullable();
                $table->integer('locked_by')->unsigned()->nullable();
            });
        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            Schema::table('service_visits', function (Blueprint $table) {
                $table->dropColumn(['locked', 'locked_by', 'locked_at']);
            });

            Schema::table('call_outs', function (Blueprint $table) {
                $table->dropColumn(['locked', 'locked_by', 'locked_at']);
            });
        }
    }
