<?php

    use Illuminate\Database\Migrations\Migration;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Support\Facades\Schema;

    class CreateAddressablesTable extends Migration
    {
        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            Schema::create('addressables', function (Blueprint $table) {
                $table->integer('address_id')->unsigned();
                $table->string("address_type", 50)->nullable();
                $table->integer('addressable_id')->unsigned();
                $table->string('addressable_type', 255);
                $table->primary(['address_id','addressable_id','addressable_type']);
            });
        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            Schema::dropIfExists('addressables');
        }
    }
