<?php

    use Illuminate\Database\Migrations\Migration;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Support\Facades\Schema;
    use App\Database\AuditableTrait;

    class CreateAppActionQueueTable extends Migration
    {
        use AuditableTrait;

        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            if (!Schema::hasTable('app_action_queue')) {
                Schema::create('app_action_queue', function (Blueprint $table) {
                    $table->increments('id');
                    $table->integer('job_id')->nullable()->unsigned()->index();
                    $table->integer('user_id')->nullable()->unsigned()->index();
                    $table->string('status', 100)->nullable()->index();
                    $table->string('type', 100)->nullable()->index();
                    $table->integer('error_code')->nullable()->unsigned()->index();
                    $table->text('data')->nullable();
                    $table->timestamp('actioned_at')->nullable();
                    $this->auditable($table);
                });
            }
        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            Schema::dropIfExists('app_action_queue');
        }
    }
