<?php

    use Illuminate\Database\Migrations\Migration;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Support\Facades\Schema;
    use App\Database\AuditableTrait;

    class CreateJobServiceReportsTable extends Migration
    {
        use AuditableTrait;

        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            if (!Schema::hasTable('job_service_reports')) {
                Schema::create('job_service_reports', function (Blueprint $table) {
                    $table->increments('id');
                    $table->integer('job_worksheet_id')->nullable()->unsigned();
                    $table->string('worksheet_structure_hash')->nullable();
                    $table->string('template_name', 255)->nullable();
                    $table->string('file_name', 255)->nullable();
                    $this->auditable($table);
                });
            }
        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            Schema::dropIfExists('job_service_reports');
        }
    }
