<?php

    use Illuminate\Database\Migrations\Migration;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Support\Facades\Schema;

    class RenameSupplyOnlyOrderFields extends Migration
    {
        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            Schema::table('service_visits', function (Blueprint $table) {
                $table->renameColumn('supply_only_order_id', 'customer_purchase_order_id');
            });
            Schema::table('call_outs', function (Blueprint $table) {
                $table->renameColumn('supply_only_order_id', 'customer_purchase_order_id');
            });
            Schema::table('contracts', function (Blueprint $table) {
                $table->renameColumn('supply_only_order_id', 'customer_purchase_order_id');
            });
        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            Schema::table('service_visits', function (Blueprint $table) {
                $table->renameColumn('customer_purchase_order_id', 'supply_only_order_id');
            });
            Schema::table('call_outs', function (Blueprint $table) {
                $table->renameColumn('customer_purchase_order_id', 'supply_only_order_id');
            });
            Schema::table('contracts', function (Blueprint $table) {
                $table->renameColumn('customer_purchase_order_id', 'supply_only_order_id');
            });
        }
    }
