<?php

    use Illuminate\Database\Migrations\Migration;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Support\Facades\Schema;

    class AddApprovalFieldsToCustomerPurchaseOrdersTable extends Migration
    {
        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            Schema::table('customer_purchase_orders', function (Blueprint $table) {
                $table->integer('approval_required')->unsigned()->nullable()->default(0);
                $table->integer('approved')->unsigned()->nullable();
                $table->integer('approved_by')->unsigned()->nullable();
                $table->dateTime('approved_at')->nullable();
            });
        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            Schema::table('customer_purchase_orders', function (Blueprint $table) {
                $table->dropColumn(['approval_required', 'approved', 'approved_by', 'approved_at']);
            });
        }
    }
