<?php

    use Illuminate\Database\Migrations\Migration;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Support\Facades\Schema;
    use App\Database\AuditableTrait;

    class AddInventorySupplierTable extends Migration
    {

        use AuditableTrait;

        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            if (!Schema::hasTable('inventory_supplier')) {
                Schema::create('inventory_supplier', function (Blueprint $table) {
                    $table->increments('id');
                    $table->integer('inventory_id')->unsigned()->index();
                    $table->integer('supplier_id')->unsigned()->index();
                    $this->auditable($table);
                    $table->index(['inventory_id', 'supplier_id']);
                });
            }
        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            Schema::dropIfExists('InventorySupplier');
        }
    }
