<?php

    use Illuminate\Database\Migrations\Migration;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Support\Facades\Schema;

    return new class extends Migration
    {
        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            Schema::table('suppliers', function (Blueprint $table) {
                //email, website, fax, telephone, manager
                $table->string('telephone', 255)->nullable();
                $table->string('fax', 255)->nullable();
                $table->string('website', 255)->nullable();
                $table->string('email', 255)->nullable();
                $table->integer('client_manager_id')->unsigned()->nullable();
            });
        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            Schema::table('suppliers', function (Blueprint $table) {
                $table->dropColumn([
                    'telephone',
                    'fax',
                    'website',
                    'email',
                    'client_manager_id'
                ]);
            });
        }
    };
