<?php

    use Illuminate\Database\Migrations\Migration;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Support\Facades\Schema;
    use App\Database\AuditableTrait;

    return new class extends Migration
    {
        use AuditableTrait;

        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            if (!Schema::hasTable('service_level_agreements')) {
                Schema::create('service_level_agreements', function (Blueprint $table) {
                    $table->increments('id');
                    $table->string('name', 191)->nullable();
                    $this->auditable($table);
                });
            }

        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            Schema::dropIfExists('service_level_agreements');
        }
    };
