<?php

    use Illuminate\Database\Migrations\Migration;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Support\Facades\Schema;
    use App\Database\AuditableTrait;

    return new class extends Migration
    {
        use AuditableTrait;

        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            Schema::create('collections', function (Blueprint $table) {
                $table->increments('id');
                $table->string('collection_number');
                $table->string('status');
                $table->integer('delivery_id')->unsigned()->nullable()->index();
                $table->date('collection_date')->nullable()->index();
                $table->text('description')->nullable();
                $table->text('data')->nullable();
                $this->auditable($table);
            });
        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            Schema::dropIfExists('collections');
        }
    };
