<?php

    use Illuminate\Database\Migrations\Migration;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Support\Facades\Schema;
    use App\Database\AuditableTrait;

    return new class extends Migration
    {
        use AuditableTrait;

        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            Schema::create('inventory_lists', function (Blueprint $table) {
                $table->increments('id');
                $table->text('data')->nullable();
                $table->string('status')->nullable();
                $table->integer('inventoryListAble_id')->unsigned();
                $table->string('inventoryListAble_type', 255);
                $this->auditable($table);
                $table->index(['inventoryListAble_id', 'inventoryListAble_type'], 'inventoryListAble');
            });
        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            Schema::dropIfExists('selected_parts');
        }
    };
