<?php

    use Illuminate\Database\Migrations\Migration;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Support\Facades\Schema;

    return new class extends Migration
    {
        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            if (!Schema::hasTable('external_system_migration_log')) {
                Schema::create('external_system_migration_log', function (Blueprint $table) {
                    $table->increments('id');
                    $table->string('external_system_name', 191)->nullable();
                    $table->string('external_system_table', 191)->nullable();
                    $table->string('external_system_object_type', 191)->nullable();
                    $table->integer('external_system_id')->nullable()->unsigned();
                    $table->string('snapp_crm_table', 191)->nullable();
                    $table->string('snapp_crm_object_type', 191)->nullable();
                    $table->integer('snapp_crm_id')->nullable()->unsigned();
                    $table->text('data')->nullable();
                    $table->timestamps();
                });
            }

        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            Schema::dropIfExists('external_system_migration_log');
        }
    };
