<?php

    use Illuminate\Database\Migrations\Migration;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Support\Facades\Schema;
    use App\Database\AuditableTrait;

    return new class extends Migration
    {
        use AuditableTrait;

        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            Schema::create('meta_fields', function (Blueprint $table) {
                $table->increments('id');
                $table->nullableMorphs('parent');
                $table->string('meta_name', 255)->nullable();
                $table->text('meta_value')->nullable();
                $table->string('value_type', 255)->nullable();
                $this->auditable($table);
                $table->unique(['parent_type', 'parent_id', 'meta_name']);
                $table->index(['parent_type', 'parent_id', 'meta_name']);
            });
        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            Schema::dropIfExists('meta_fields');
        }
    };
