<?php

    use Illuminate\Database\Migrations\Migration;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Support\Facades\Schema;
    use App\Database\AuditableTrait;

    return new class extends Migration
    {
        use AuditableTrait;
        /**
         * Run the migrations.
         *
         * @return void
         */
        public function up()
        {
            if (!Schema::hasTable('taxonomies')) {
                Schema::create('taxonomies', function (Blueprint $table) {
                    $table->increments('id');
                    $table->integer('type_id');
                    $table->string('name', 255);
                    $table->string('slug', 255);
                    $this->auditable($table);
                });
            }

        }

        /**
         * Reverse the migrations.
         *
         * @return void
         */
        public function down()
        {
            Schema::dropIfExists('taxonomy');
        }
    };
