<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use App\Database\AuditableTrait;

return new class extends Migration
{
    use AuditableTrait;

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        if (!Schema::hasTable('inventory_transactions')) {
            Schema::create('inventory_transactions', function (Blueprint $table) {
                $table->id();
                $table->tinyInteger('transaction_type')->unsigned()->nullable();
                $table->integer('quantity')->nullable();
                $table->text('note')->nullable();
                $table->integer('inventory_id')->unsigned()->nullable();
                $table->foreign('inventory_id')->references('id')->on('inventory');
                $this->auditable($table);
            });
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('inventory_transactions');
    }
};
