<?php

    namespace Database\Seeders;

    use App\Models\EmployeeType;
    use App\Models\User;
    use Illuminate\Database\Console\Seeds\WithoutModelEvents;
    use Illuminate\Database\Seeder;
    use Illuminate\Support\Facades\Hash;

    class ItrmUser extends Seeder
    {
        /**
         * Run the database seeds.
         *
         * @return void
         */
        public function run()
        {
            $user = User::create([
                'first_name' => 'Web',
                'last_name' => 'Team',
                'email' => 'new.media@itrm.co.uk',
                'password' => Hash::make('Password123!'),
                'activated' => 1
            ]);

            $employeeTypeId = EmployeeType::all()->pluck('id');

            $user->types()->detach();
            $user->types()->attach($employeeTypeId);
        }
    }
